import { JavaIterator } from '../../../java/util/JavaIterator';
import { Collection } from '../../../java/util/Collection';
import { JavaObject } from '../../../java/lang/JavaObject';
import { AVLMapSubMap } from '../../../core/adt/map/AVLMapSubMap';
export declare class AVLMapSubCollection<K, V> extends JavaObject implements Collection<V> {
    private readonly _sub;
    /**
     * Erstellt eine neue Sub-Collection zur übergebenen {@link AVLMapSubMap}.
     *
     * @param sub Die {@link AVLMapSubMap} auf der diese Sub-Collection operiert.
     */
    constructor(sub: AVLMapSubMap<K, V>);
    toString(): String;
    size(): number;
    isEmpty(): boolean;
    contains(o: unknown): boolean;
    iterator(): JavaIterator<V>;
    toArray(): Array<unknown | null>;
    toArray<T>(a: Array<T | null>): Array<T | null>;
    add(e: V): boolean;
    remove(o: unknown): boolean;
    containsAll(c: Collection<unknown>): boolean;
    addAll(c: Collection<V>): boolean;
    removeAll(c: Collection<unknown>): boolean;
    retainAll(c: Collection<unknown>): boolean;
    clear(): void;
    isTranspiledInstanceOf(name: string): boolean;
    [Symbol.iterator](): Iterator<V>;
}
export declare function cast_de_nrw_schule_svws_core_adt_map_AVLMapSubCollection<K, V>(obj: unknown): AVLMapSubCollection<K, V>;
